Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0RC2 generated on May 12 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kodo.persistence.jdbc
Enum NonpolymorphicType

    java.lang.Object
      java.lang.Enum<NonpolymorphicType>
          kodo.persistence.jdbc.NonpolymorphicType

All Implemented Interfaces:
  Serializable, Comparable<NonpolymorphicType>

    public enum NonpolymorphicType

extends Enum<NonpolymorphicType>

Nonpolymorphic settings.

Since:
  4.0

Enum Constant Summary
`EXACT`
`FALSE`
`JOINABLE`

Method Summary
`static NonpolymorphicType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NonpolymorphicType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXACT

    public static final NonpolymorphicType EXACT

### JOINABLE

    public static final NonpolymorphicType JOINABLE

### FALSE

    public static final NonpolymorphicType FALSE

Method Detail

### values

    public static final NonpolymorphicType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NonpolymorphicType c : NonpolymorphicType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NonpolymorphicType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0RC2 generated on May 12 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.